%define name	mypaint
%define version	1.2.1
%define release	%mkrel 1

Summary:        A simple paint program
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphics
License:        GPLv2+
URL:            http://mypaint.org/
Source0: https://github.com/%name/%name/releases/download/v%version/%name-%version.tar.xz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  python-devel
BuildRequires:	gtk2-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	scons
BuildRequires:  protobuf-compiler
BuildRequires:	swig
BuildRequires:	desktop-file-utils
BuildRequires:  python-numpy-devel
Requires:       gtk+2.0
Requires:	pygtk2.0
Requires:	python >= 2.7
Requires:	python-numpy
Requires:	python-gobject
Requires:	python-cairo >= 1.4
Obsoletes: 	%{name} < %version
Obsoletes:	%{name}-devel
Requires:	%{_lib}protobuf11


%description
Mypaint is a fast and easy/simple painter app focused on the painter, 
so you can only focus on the art and not the program itself. 
Currently MyPaint does not have a layer system, also mypaint is 
using pygtk with C extensions.


%package 	devel
Summary:	Libraries and include files for developing with %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.



%prep

%setup -q
# fix libdir
sed -i  's|lib\/mypaint|%_lib\/mypaint|' SConstruct SConscript mypaint.py
sed -i  "s|prefix, 'lib'|prefix, '%_lib'|" mypaint.py
sed -i  's|prefix\/lib|prefix\/%_lib|' brushlib/SConscript
# fix pkgconfig-file by preventing substitution
sed -i  's|@LIBDIR@|%_libdir|' brushlib/pkgconfig.pc.in
# fix menu icon
sed -i 's|mypaint_48|mypaint|g' desktop/%{name}.desktop

%build
scons

%install
rm -rf $RPM_BUILD_ROOT
scons prefix=$RPM_BUILD_ROOT/usr install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 desktop/icons/hicolor/48x48/apps/*.png \
$RPM_BUILD_ROOT%{_datadir}/pixmaps

rm -fr %{buildroot}%{_libdir}/pkgconfig
rm -fr %{buildroot}%{_includedir}
rm -fr %{buildroot}%{_libdir}/*.a

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_desktop_database}
/sbin/ldconfig

%postun
%{clean_desktop_database}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING 
%{_bindir}/%{name}
%{_bindir}/%{name}-ora-thumbnailer
%{_datadir}/thumbnailers/%{name}-ora.thumbnailer
%{_datadir}/%{name}/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/lib%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor
%{_libdir}/mypaint/_mypaintlib.so
%{_datadir}/pixmaps/mypaint.png
%{_datadir}/locale/ar_AR/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/ca/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/cs/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/da/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/de/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/en_CA/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/en_GB/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/es/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/fa/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/fi/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/fr/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/he/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/hu/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/id/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/it/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/ja/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/ko/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/nb/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/nn_NO/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/pl/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/ro/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/ru/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/sc/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/sk/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/sl/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/sv/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/tr/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/uk/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/libmypaint.mo
%{_datadir}/locale/zh_TW/LC_MESSAGES/libmypaint.mo


%changelog
* Thu Jun 01 2017 bb2 <bb2> - 1.2.1-1pclos2017
- update
- require protobuff 11

* Tue Feb 09 2016 pp <pp> - 1.2.0-1pclos2016
- update
- added/amended fixes from AltLinux to have it compile

* Fri Nov 08 2013 billybot <billybot> - 1.1.0-4pclos2013
- rebuild for new json
- drop development package

